Name: taskjuggler
Version: 2.4.0
Release: alt1.qa1

Summary: TaskJuggler - a project management tool

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPL
Group: Office
Url: http://www.taskjuggler.org/

Source: http://www.taskjuggler.org/download/%name-%version.tar.bz2
Source1: http://www.taskjuggler.org/download/manual-%version.tar.bz2

Patch0: %name-docbook.patch
#Patch1: %name-%version.patch
Patch2: %name-2.3.0-alt-fix-htmlcal.patch

# Automatically added by buildreq on Sun Dec 10 2006
BuildRequires: gcc-c++ imake kdepim-devel libdnet-devel libjpeg-devel libqscintilla-designer libqwt-devel libXext-devel libXt-devel qt3-designer unsermake xml-utils xorg-cf-files
BuildRequires: desktop-file-utils

%description
Taskjuggler is a project management tool for Linux and UNIX
system-based operating systems. Whether you want to plan your
colleague's shifts for the next month or want to build a skyscraper -
Taskjuggler is the tool for you. Instead of clicking yourself
painfully through hundreds of dialog boxes you specify your
Taskjuggler project in a simple text format. You simply list all your
tasks and their dependencies. The information is sent through
Taskjuggler and you will get all sorts of reports in HTML or XML
format. Taskjuggler does not only honor the task interdependencies but
also takes resource constrains into account. Using Taskjuggler's
powerful filtering and reporting algorithms you can create task lists,
resource usage tables, status reports, project calendars and project
accounting statements.

%prep
%setup -q -a1
#%patch0 -p1
#%patch1 -p0
#%patch2 -p1

%__subst "s/\.la/\.so/g" configure

%build
unset QTDIR || : ; . %_sysconfdir/profile.d/qt3dir.sh
export KDEDIR=%prefix
export PATH=$PATH:$KDEDIR/bin

%configure \
	%{?with_pch:--enable-pch} \
	--disable-final \
	--disable-rpath \
	--with-kde-support=yes \
	--disable-docs
%make_build

%install
%make_install install DESTDIR=%buildroot

mv %buildroot%_docdir/packages/* \
	%buildroot%_docdir
( cd %buildroot%_desktopdir/kde && mv *.desktop .. )
rm -rf %buildroot%_docdir/%name/

%find_lang %name --with-kde

%post
%update_menus
%post_ldconfig
%update_desktopdb

%postun
%postun_ldconfig
%clean_menus
%clean_desktopdb

%files -f %name.lang
%doc AUTHORS ChangeLog README TODO Examples
%attr(755,root,root) %_bindir/*
%_datadir/apps/%name
%_datadir/apps/katepart/syntax/*
%_datadir/config/*
%_desktopdir/*.desktop
%_libdir/*.so*
#_iconsdir/crystalsvg/*/*/*
%_miconsdir/*
%_niconsdir/*
%_datadir/mimelnk/application/*

%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 2.4.0-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * desktop-mime-entry for taskjuggler

* Fri Dec 21 2007 Vitaly Lipatov <lav@altlinux.ru> 2.4.0-alt1
- new version 2.4.0 (with rpmrb script)

* Sun Dec 31 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.3
- fix small bug in htmlweeklycalendar code (patch from Ivan Fedorov)
- remove debian menu, cleanup spec
- move Examples to correct doc dir

* Sun Dec 10 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.2
- update buildreqs

* Wed Nov 15 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1
- new version 2.3.0 (with rpmrb script)
- remove desktopdir macros
- fix icons dir

* Tue Dec 06 2005 Vitaly Lipatov <lav@altlinux.ru> 2.2.0-alt0.1
- new version

* Thu Sep 08 2005 Vitaly Lipatov <lav@altlinux.ru> 2.1.1-alt0.1
- first build for ALT Linux Sisyphus
- spec from PLD Team <feedback@pld-linux.org>
